# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.photos
Interface TagData

All Superinterfaces:
  Extensible, GphotoData

All Known Implementing Classes:
  TagDataImpl, TagEntry

    public interface TagData

extends GphotoData

Basic extension to include tag-specific data, this is the shared interface for all tag objects in the Picasaweb GData api. To view or set the actual content of a tag clients should use `BaseEntry.getContent()` and `BaseEntry.setContent(TextConstruct)`.

Field Summary
`static java.lang.String` `KIND` The unqualified kind for a tag.
`static Category` `TAG_CATEGORY` A category object for tags.
`static java.lang.String` `TAG_KIND` The fully qualified kind term for tags.

Method Summary
`java.lang.Integer` `getWeight()` The weight of the tag is the number of times the tag appears in the collection of tags currently being viewed.
`void` `setWeight(java.lang.Integer weight)` Set the weight of the tag.

Methods inherited from interface com.google.gdata.data.photos.GphotoData
`getGphotoId, setGphotoId, setGphotoId`

Methods inherited from interface com.google.gdata.data.photos.Extensible
`addExtension, addRepeatingExtension, declareExtensions, removeExtension, removeExtension, removeRepeatingExtension, setExtension`

Field Detail

### KIND

    static final java.lang.String KIND

  The unqualified kind for a tag.

  See Also:
    Constant Field Values

### TAG_KIND

    static final java.lang.String TAG_KIND

  The fully qualified kind term for tags.

  See Also:
    Constant Field Values

### TAG_CATEGORY

    static final Category TAG_CATEGORY

  A category object for tags. All tag objects will have this set.

Method Detail

### getWeight

    java.lang.Integer getWeight()
                                throws ParseException

  The weight of the tag is the number of times the tag appears in the collection of tags currently being viewed. This is a server-provided context sensitive measure of how often the tag is used, and can be used to implement tag-cloud like views.

  Returns:
    the weight of the tag, or null if it doesn't have one.
  Throws:
    `ParseException`

### setWeight

    void setWeight(java.lang.Integer weight)

  Set the weight of the tag. Used by the server, this field is read only on the client.